Flecs: flecs::_::sig< Components > Struct Template Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
flecs::_::sig< Components > Struct Template Reference

## Public Member Functions
| sig (flecs::world_t *world)
template<typename Builder>
void | populate (const Builder &b)

## Public Attributes
flecs::world_t * | world_
flecs::array< flecs::id_t, sizeof...(Components)> | ids
flecs::array< flecs::inout_kind_t, sizeof...(Components)> | inout
flecs::array< flecs::oper_kind_t, sizeof...(Components)> | oper

## Detailed Description

template<typename ... Components>
struct flecs::_::sig< Components >

Definition at line 38 of file signature.hpp.

## Constructor & Destructor Documentation

## ◆ sig()

template<typename ... Components>

flecs::_::sig< Components >::sig | ( | flecs::world_t * | world | ) |
| inline

Definition at line 39 of file signature.hpp.

## Member Function Documentation

## ◆ populate()

template<typename ... Components>
template<typename Builder>

void flecs::_::sig< Components >::populate | ( | const Builder & | b | ) |
| inline

Definition at line 52 of file signature.hpp.

## Member Data Documentation

## ◆ ids

template<typename ... Components>

flecs::array<flecs::id_t, sizeof...(Components)> flecs::_::sig< Components >::ids

Definition at line 47 of file signature.hpp.

## ◆ inout

template<typename ... Components>

flecs::array<flecs::inout_kind_t, sizeof...(Components)> flecs::_::sig< Components >::inout

Definition at line 48 of file signature.hpp.

## ◆ oper

template<typename ... Components>

flecs::array<flecs::oper_kind_t, sizeof...(Components)> flecs::_::sig< Components >::oper

Definition at line 49 of file signature.hpp.

## ◆ world_

template<typename ... Components>

flecs::world_t* flecs::_::sig< Components >::world_

Definition at line 46 of file signature.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/utils/signature.hpp